#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

link_config () {
	local name="$1"
	echo "Installing $name"
	ln -sb "$DIR/$name" "$HOME/.$name"
}

if [ ! -d ~/.vim/bundle ]; then
	mkdir -p ~/.vim/bundle
	git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim
	vim +PluginInstall +qall
fi

for file in $(ls "$DIR"); do
	[ "$file" == "install.sh" ] && continue
	[ "$file" == "README.md" ] && continue
	link_config "$file"
done
